# JSDoc: Class: ServerManager

# Class: ServerManager

## core.ServerManager(options)

#### new ServerManager(options)

This manager handles all communications between the experiment running in the participant's browser and the pavlovia.org server, in an asynchronous manner.

It is responsible for reading the configuration file of an experiment, for opening and closing a session, for listing and downloading resources, and for uploading results, logs, and audio recordings.

##### Parameters:

Name | Type | Description
--- | --- | ---

`options`

Object

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`psychoJS` | module:core.PsychoJS |  |  | the PsychoJS instance
`autoLog` | boolean | <optional> | false | whether or not to log

Source:
  - core/ServerManager.js, line 18

### Extends

- PsychObject

### Members

#### (readonly) SaveFormat :Symbol

Experiment result format

##### Type:

- Symbol

Source:
  - data/ExperimentHandler.js, line 442